Subject: Re: SIP support of caller ID

From: William Marshall <[email-masked]>
Date: Tue, 29 Feb 2000 20:17:39 -0500 (EST)

This is one of the problems that was identified by the DCS group.

See draft-dcsgroup-sip-privacy-00 for a discussion of this particular
issue, and draft-dcsgroup-sip-arch-00 for the overall system architecture.

This draft is currently being revised based on the discussions held
in Washington at the last IETF meeting, and will be re-issued within
the next two weeks for discussion at Adelaide.

Bill Marshall
[email-masked]

[email-masked] wrote:
> 
> It sounds appealing.  But what can we do about a user who feels like 
> lying?  For example, I'll always answer a call from "Bill Gates" (or 
> will I??).  If the user is known to a proxy in the signalling path, it's
> possible for that proxy to insert or validate the display name and
> then, more importantly, to signal that it has done so.  This could,
> for example, use a new addr-param (;screenedby=servername) in the From,
> or a new header (Screened-Display: displayname servername).  Of course, 
> this assumes that servers are more trustworthy than users.  If someone's 
> server sends me too many fraudulent displaynames, maybe I'll just stop 
> accepting calls from it.
> 
> Dave.
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Henning
> > Schulzrinne
> > Sent: Tuesday, February 29, 2000 12:31 PM
> > To: Wing Man Kwok
> > Cc: [email-masked]'
> > Subject: Re: SIP support of caller ID
> > 
> > 
> > Wing Man Kwok wrote:
> > > 
> > > All,
> > > 
> > > I read from the SIP FAQ that SIP supports caller ID.  But I 
> > cannot find any
> > > description of this in rfc2543.  How does SIP support caller ID?
> > 
> > Depends on the details, but basically, simply stick the caller name in
> > the display name field, and the number in the user name. Done.
> > 
> > > 
> > > Thanks in advance
> > > 
> > > Wing Man Kwok
> > > Telogy Networks
> > 
> > -- 
> > Henning Schulzrinne   http://www.cs.columbia.edu/~hgs
> > 
> > 
>